Subject: Re: Revised RFC2611

From: "Aaron E. Walsh" <[email-masked]>
Date: Sun, 3 Dec 2000 17:05:22 -0500

> and that very intentionally UTF8 or anything like that is not
> possible. And why that is a 'good' thing.

Hi Dirk -- I'd like to hear your thoughts on this issue.

Aaron
--
-------------------------------------------------------------------
Aaron E. Walsh  http://www.mantiscorp.com/people/aew/  617.350.7119
-------------------------------------------------------------------

Dirk-Willem van Gulik wrote:
>
> Looks good. I am wondering if I should propose adding a small blurp
> about i18n and why the URN very intentionally is a
>
>       URN:<assigned number>:<FQDN>:<assigned US-ASCII string>
>
> and that very intentionally UTF8 or anything like that is not
> possible. And why that is a 'good' thing.
>
> Secondly - we could tighten up the assigned-US-ASCII-string a bit -as
> obviously the URI rules do not permit just any US-ASCII char. Nor would I
> want this.
>
> Dw
>
> On Fri, 17 Nov 2000, Leslie Daigle wrote:
>
> > So, the draft has in fact hit the repository, as
> >
> >         draft-ietf-urn-rfc2611bis-00.txt
> >
> > I realize that we're getting into the hectic holiday/pre-IETF
> > timeframe, but I'd like some feedback from people to determine
> > consensus on which of the following is (most) true:
> >
> >         . "this is in line with what we discussed, we're done"
> >
> >         . "started to read it, had some comments, but couldn't
> >            possibly get to it all this week, give us two
> >            more weeks (to Dec 1) to read and comment"
> >
> > I don't want to rush people, and I'd like to know if people believe
> > that alotting more time would produce a better result.  Otherwise,
> > or if people are ambivalent, we can last call the document now and
> > have it to the IESG before the end of the year.
> >
> >
> > Thanks,
> > Leslie.
> >
> >
> > Leslie Daigle wrote:
> > >
> > > Howdy,
> > >
> > > I've submitted a revised version of RFC2611 as an Internet-Draft;
> > > I've attached a copy here, as it's going to take a few days to
> > > hit the repository.
> > >
> > > I've incorporated comments on the draft text, circulated earlier,
> > > as follows:
> > >
> > > Martin Dürst offered:
> > > > The text only speaks about an RFC, not about an I-D. Also,
> > > > it's not clear whether IESG approval or submission to
> > > > [email-masked] should be first, and in what form.
> > >
> > > Added Section 5.2, an illustration of the process.
> > >
> > > > >associated have openly-published APIs.
> > > >
> > > > I'm a little bit confused by the word API here.
> > >
> > > Changed it to "access protocol".  Let me know if you think it still
> > > needs work.
> > >
> > > Larry Masinter offered:
> > > > There are two components to your proposed revision that are
> > > > currently intermixed, that might be usefully separated out.
> > >
> > > Have pushed the "registration template" to the Appendix; Section 3.0
> > > is now "registration types", and Section 4.0 is "registration process",
> > > with an attempt to make the delineation you suggested needed
> > > clarification.
> > >
> > > Keith Moore offered:
> > > > In general, URNs are not intended to have exposed structure beyond the
> > > > NID.  This is because the structure by which URNs under a particular NID
> > > > are assigned, or resolved (the two are different) may change over time.
> > >
> > > I didn't see altogether where the document advocated inappropriate
> > > exposure of structure.  Perhaps there needs to be clarification about
> > > what kinds of things might usefully be exposed to the public
> > > without compromising the name/structure dissociation?  Or, see if
> > > it still seems to be a problem when you look at the document
> > > as a whole.
> > >
> > > As always -- comments welcome.  I'm sure there are some editorial
> > > nits & 'roff-isms... Sigh.
> > >
> > > Leslie.
> > >
> > > --
> > >
> > > -------------------------------------------------------------------
> > > "Reality with a delicate splash of the imaginary...
> > >     ... or was that the other way around?"
> > >    -- ThinkingCat
> > >
> > > Leslie Daigle
> > > [email-masked]
> > > -------------------------------------------------------------------
> >
> > --
> >
> > -------------------------------------------------------------------
> > "Logic can hold only a certain amount of sway over the rational
> >  mind."
> >    -- ThinkingCat
> >
> > Leslie Daigle
> > [email-masked]
> > -------------------------------------------------------------------
> >

--
-------------------------------------------------------------------
Aaron E. Walsh  http://www.mantiscorp.com/people/aew/  617.350.7119
-------------------------------------------------------------------